Jump to content


Photo

Tweaks Anthology v3 Released


29 replies to this topic

#16 lynx

lynx
  • Modders
  • 2990 posts
  • Gender:Male
  • Location:Ljubljana, Slovenija

Posted 02 August 2017 - 09:01 AM

or just open the file and replace its contents with the one from here:

https://raw.githubus...up-cdtweaks.tp2 (if you can't just download it)


GemRB - IE anywhere.
Mages needed! Looking for Planescape: Torment testers
Market android version IS NOT SUPPORTED ANYMORE: reported bugs will be ignored! Still looking for builders ...

#17 Roxanne

Roxanne
  • Modders
  • 1576 posts
  • Gender:Not Telling

Posted 02 August 2017 - 09:07 AM

Is this just a typo or not updated or are there different sources?

tp2 calls the mod v2


The Sandrah Saga

another piece of *buggy, cheesy, unbalanced junk*


#18 jastey

jastey
  • Gibberlings
  • 6896 posts
  • Gender:Female

Posted 02 August 2017 - 09:19 AM

Abilities are supposed to precede effects in item files, so the ability offset at 0x64 should be 0x72 (and the same for any item without abilities).

Ah, I didn't know this. Do you want me to fix it or shouldn't I bother?

#19 CamDawg

CamDawg

    Seven billion ton robot monster

  • Gibberling Poobah
  • 9222 posts
  • Gender:Not Telling

Posted 02 August 2017 - 10:10 AM

I would put it on the list of "stuff I'll eventually fix for the next release, when I have an actual bug to fix".


I came here with a simple dream: a dream of killing all humans. And this is how it must end? Who's the real seven billion ton robot monster here? Not I. Not... I.


#20 jastey

jastey
  • Gibberlings
  • 6896 posts
  • Gender:Female

Posted 02 August 2017 - 11:19 AM

Thanks!



#21 Angel

Angel
  • Members
  • 114 posts
  • Gender:Not Telling
  • Location:Netherlands

Posted 03 August 2017 - 12:07 AM

Found a couple of issues when installing on non-EE games:

 

- BG1

Both Increase Gem and Jewelry Stacking and Increase Scroll Stacking install with warnings, because in my version of the game (GoG latest) TakePartyItemNum is not in action.ids.

 

IESDP says that BG1 should have this action, but I have not yet gotten around to testing if this is actually true. (In my experience when it comes to BG1, IESDP is often incomplete or just plain wrong).  Since this is also an issue in one of my own mods (in my item pack, to be specific), I'll go test it as soon as I have some spare time, probably this weekend.


- BG2

Commoners Use Drab Colors fails with an error, apparently the mod tries to access a cell in randcolr.2da that does not exist.  Could be that BG2 without 1PP has less colors to choose from?

 

 

I also noticed that a wizard casting Lightning Bolt with the non-bouncing mod can occasionally hurt party members around them, even if they are nowhere near the path of the bolt.  Is this the "Small fix for bouncing lightning bolts" I see in the git log?

 

Also, version number is wrong in setup-cdtweaks.tp2, but I see you already addressed that. ^^

Attached File  BG1-setup-cdtweaks.debug.gz   18.23KB   5 downloadsAttached File  BG2-setup-cdtweaks.debug.gz   2.66KB   4 downloads


Edited by Angel, 03 August 2017 - 12:09 AM.


#22 Angel

Angel
  • Members
  • 114 posts
  • Gender:Not Telling
  • Location:Netherlands

Posted 03 August 2017 - 10:33 PM

 

Abilities are supposed to precede effects in item files, so the ability offset at 0x64 should be 0x72 (and the same for any item without abilities).

Ah, I didn't know this. Do you want me to fix it or shouldn't I bother?

 

 

If you are going to bother to fix it, you might also want to check alignments.  I noticed a lot of creatures with no valid alignment set.  (Probably copied from BG1 creatures with the same issue.)



#23 carian

carian
  • Members
  • 5 posts

Posted 04 August 2017 - 06:46 AM

I've run into a couple of issues when installing CDTweaks v3 (my game is bgt, GoG version)

 

- Exotic Item Pack

It breaks in-game stores/inns  - buying items still works, but when I try to buy drinks in Friendly Arm Inn, it just displays random gibberish. Opening .sto files in NI shows that every modified store has a minor corrupted entry

The problem seems to be in the block of code that adds scimitars:

COPY_EXISTING_REGEXP GLOB ~^.+\.sto$~ ~override~  // adds generic scimitars to stores that sell short swords if not present already

but it's a bit above my modding skills to find out where exactly

 

 

- Adjust Cromwell forging time (instant, 8 hours, 24 hours)

the installer skips this group without letting me choose anything - the first subcomponent 'instant forging' has REQUIRE_PREDICATE GAME_IS ~bg2ee eet~, and since my game is bgt, the installer just moves to the next group  (even though the second and third subcomponent allows ~bgt~ engine)

 

 

many thanks to all authors of this great mod :thumbsup:



#24 c4_angel

c4_angel
  • Members
  • 23 posts
  • Gender:Male
  • Location:Shanghai, China

Posted 06 August 2017 - 01:55 AM

Description update in Universal Club component is not using a .tra file, so it will be a little mess with Chinese language, since the .tp2 file is coding in UTF-8.

If it's OK that I add a PATCH_INCLUDE in the .tp2 file and corresponding .tph files in language folder?



#25 grogerson

grogerson

    Blithering Idiot and BG1 Tweaks Scavanger

  • Modders
  • 780 posts
  • Gender:Male
  • Location:Near Salt Lake City, UT

Posted 25 August 2017 - 07:01 PM

Just tried installing on a new install of IWDEE, new laptop with Windows 10. Aside from making the download from here disappear each time (and the wiedu 241 exe file as well when extracted), I had five spots that caused install to fail. Since four don't apply to IWDEE I commented them out (lines 2657, 8688, 9809 and 13009, each "near IF_EXISTS"), but the last one ended it ("no rule to identify PSTEE").

 

Two things here. Since I'm new to Win10, is there some setting I need to check to not have the exe files disappear? Also does weidu 241 have the "rule to identify PSTEE"?

 

Edit: I have my answers now. First, a pending Windows 10 update blocked access to my antivirus, which made both this mod's exe download and the weidu241 exe disappear. Once the update finished (and I restarted the next day) I was able to bring both out of quarantine. My second answer is, yes, the current weidu exe has the rule to identify PSTEE as well as clear the other four faults.


Edited by grogerson, 28 August 2017 - 05:23 PM.

It is an outrage that they should be commonly spoken of as Intellectuals. This gives them the chance to say that he who attacks them attacks Intelligence. It is not so. . . . It is not excess of thought but defect of fertile and generous emotion that marks them out. Their heads are no bigger than the ordinary: it is the atrophy of the chest beneath that makes them seem so.

And all the time, such is the tragi-comedy of our situation, we continue to clamour for those very qualities we are rendering impossible. . . . In a sort of ghastly simplicity we remove the organ and demand the function. We make men without chests and expect of them virtue and enterprise. We laugh at honour and are shocked to find traitors in our midst. We castrate and bid the geldings be fruitful.

C.S. Lewis, The Abolition of Man

#26 Angel

Angel
  • Members
  • 114 posts
  • Gender:Not Telling
  • Location:Netherlands

Posted 10 September 2017 - 10:11 AM

I've run into a couple of issues when installing CDTweaks v3 (my game is bgt, GoG version)

 

- Exotic Item Pack

It breaks in-game stores/inns  - buying items still works, but when I try to buy drinks in Friendly Arm Inn, it just displays random gibberish. Opening .sto files in NI shows that every modified store has a minor corrupted entry

The problem seems to be in the block of code that adds scimitars:

COPY_EXISTING_REGEXP GLOB ~^.+\.sto$~ ~override~  // adds generic scimitars to stores that sell short swords if not present already

but it's a bit above my modding skills to find out where exactly

 

Yeah, I'm noticing this too.  When installing on BGT, even some BG2 stores get corrupted, trmer02.sto in my case.  Furthermore, if another mod (like my Made in Heaven mod) adds items to the corrupted store, it corrupts even further and can make other items for sale vanish entirely.  For example in my case trmer02.sto no longer sold the Belt of Inertial Barrier, just showing a corrupt empty item instead.

 

I have prepared a hotfix, attached to this message. It contains a fixed setup-cdtweaks.tp2.  Just put that in the cdtweaks folder and reinstall the component.  Stores that you already visited will remain corrupted in your save though, unless you use DLTCEP to prune the corrupted store file from your save.

(NB: I couldn't trace the exact issue in the current code either, I rewrote the whole adding scimitars part from scratch.  My new code is much simpler to understand.)

Attached File  cdtweaks-v3_store_corruption_hotfix_by_angel.zip   82.37KB   12 downloads


Edited by Angel, 10 September 2017 - 10:44 AM.


#27 carian

carian
  • Members
  • 5 posts

Posted 16 September 2017 - 07:30 AM

Yeah, I'm noticing this too.  When installing on BGT, even some BG2 stores get corrupted, trmer02.sto in my case.  Furthermore, if another mod (like my Made in Heaven mod) adds items to the corrupted store, it corrupts even further and can make other items for sale vanish entirely.  For example in my case trmer02.sto no longer sold the Belt of Inertial Barrier, just showing a corrupt empty item instead.

 

when I found this bug, I commented out the code and reinstalled everything, since it was just the beginning of the game. Let's hope the fix will be included in the next cdtweaks release, if there is one...



#28 CamDawg

CamDawg

    Seven billion ton robot monster

  • Gibberling Poobah
  • 9222 posts
  • Gender:Not Telling

Posted 16 September 2017 - 09:38 AM

if there is one...


Man, I go and work on the next EE patch cycle for a couple of weeks... tough crowd.

I came here with a simple dream: a dream of killing all humans. And this is how it must end? Who's the real seven billion ton robot monster here? Not I. Not... I.


#29 carian

carian
  • Members
  • 5 posts

Posted 17 September 2017 - 04:07 AM

 

if there is one...


Man, I go and work on the next EE patch cycle for a couple of weeks... tough crowd.

 

 

all your work is greatly appreciated, in fact you're my personal hero :worship:
just that after a few weeks of no announcements, imagination starts to run wild (and mine usually assumes the worst)



#30 Angel

Angel
  • Members
  • 114 posts
  • Gender:Not Telling
  • Location:Netherlands

Posted 29 September 2017 - 03:57 AM

With level-locked spell scrolls, the code for level 6 or higher spells doesn't work correctly.  Wizards don't get to use level 6 spell scrolls until  they are level 13, one level after they gain a 6th level spell slot.

 

Normally I'd write a quick fix, but I'm on vacation at the moment. ;-)





Reply to this topic



  


1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users